package file_request

import (
	"git.sxidc.com/student-physical-examination/contract_lock_sdk/http"
)

type FilePinRequest struct {
	// <ext>format:phone;core:true</ext> 【加/解密手机号】加/解密手机号 【作用】 获取指定手机号验证码，进行加解密的意愿校验 【传参】 手机号允许使用大陆、港澳台、国际手机号，手机号格式为：区号+空格+手机号，例：852 9xxxxxxx ，大陆手机号可以不传区号。
	Contact string `json:"contact,omitempty"`
}

func (obj FilePinRequest) GetUrl() string {
	return "/file/pin"
}

func (obj FilePinRequest) GetHttpParameter() *http.HttpParameter {
	parameter := http.NewGetHttpParameter()
	parameter.AddParam("contact", obj.Contact)
	return parameter
}
